Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.enterprise.sync
Class SyncTrigger

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.core.trigger.SimpleTrigger
              com.dbxml.db.enterprise.sync.SyncTrigger

All Implemented Interfaces:
  Configurable, Trigger

public final class SyncTrigger
extends SimpleTrigger

SyncTrigger

Constructor Summary
`SyncTrigger()`

Method Summary
`void` | `afterDelete(Transaction tx, Key key, java.lang.Object oldObj)` afterDelete is fired after a Object is deleted from the Collection.
`void` | `afterInsert(Transaction tx, Key key, java.lang.Object newObj)` afterInsert is fired after a new Object is inserted into the Collection.
`void` | `afterUpdate(Transaction tx, Key key, java.lang.Object oldObj, java.lang.Object newObj)` afterUpdate is fired after a Object is updated in the Collection.
`void` | `setCollection(Collection collection)` setCollection sets the Collection context for this Trigger.

Methods inherited from class com.dbxml.db.core.trigger.SimpleTrigger
`afterGet, beforeDelete, beforeGet, beforeInsert, beforeUpdate, getCollection, getName, setConfig`

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig`

Constructor Detail

### SyncTrigger

    public SyncTrigger()

Method Detail

### setCollection

    public void setCollection(Collection collection)

  Description copied from interface: `Trigger`
  setCollection sets the Collection context for this Trigger.

  Specified by:
    `setCollection` in interface `Trigger`
  Overrides:
    `setCollection` in class `SimpleTrigger`

### afterDelete

    public void afterDelete(Transaction tx,
                            Key key,
                            java.lang.Object oldObj)
                     throws DBException

  Description copied from interface: `Trigger`
  afterDelete is fired after a Object is deleted from the Collection.

  Specified by:
    `afterDelete` in interface `Trigger`
  Overrides:
    `afterDelete` in class `SimpleTrigger`
  Throws:
    `DBException`

### afterUpdate

    public void afterUpdate(Transaction tx,
                            Key key,
                            java.lang.Object oldObj,
                            java.lang.Object newObj)
                     throws DBException

  Description copied from interface: `Trigger`
  afterUpdate is fired after a Object is updated in the Collection.

  Specified by:
    `afterUpdate` in interface `Trigger`
  Overrides:
    `afterUpdate` in class `SimpleTrigger`
  Throws:
    `DBException`

### afterInsert

    public void afterInsert(Transaction tx,
                            Key key,
                            java.lang.Object newObj)
                     throws DBException

  Description copied from interface: `Trigger`
  afterInsert is fired after a new Object is inserted into the Collection.

  Specified by:
    `afterInsert` in interface `Trigger`
  Overrides:
    `afterInsert` in class `SimpleTrigger`
  Throws:
    `DBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group